summaryrefslogtreecommitdiffstats
path: root/meta/packages/initscripts/initscripts-1.0/urandom
diff options
context:
space:
mode:
authorRichard Purdie <richard@openedhand.com>2006-07-21 10:10:31 +0000
committerRichard Purdie <richard@openedhand.com>2006-07-21 10:10:31 +0000
commitb2f192faabe412adce79534e22efe9fb69ee40e2 (patch)
tree7076c49d4286f8a1733650bd8fbc7161af200d57 /meta/packages/initscripts/initscripts-1.0/urandom
parent2cf0eadf9f730027833af802d7e6c90b44248f80 (diff)
downloadpoky-b2f192faabe412adce79534e22efe9fb69ee40e2.tar.gz
Rename /openembedded/ -> /meta/
git-svn-id: https://svn.o-hand.com/repos/poky/trunk@530 311d38ba-8fff-0310-9ca6-ca027cbcb966
Diffstat (limited to 'meta/packages/initscripts/initscripts-1.0/urandom')
-rwxr-xr-xmeta/packages/initscripts/initscripts-1.0/urandom41
1 files changed, 41 insertions, 0 deletions
diff --git a/meta/packages/initscripts/initscripts-1.0/urandom b/meta/packages/initscripts/initscripts-1.0/urandom
new file mode 100755
index 0000000000..45c41d758b
--- /dev/null
+++ b/meta/packages/initscripts/initscripts-1.0/urandom
@@ -0,0 +1,41 @@
1#! /bin/sh
2#
3# urandom This script saves the random seed between reboots.
4# It is called from the boot, halt and reboot scripts.
5#
6# Version: @(#)urandom 1.33 22-Jun-1998 miquels@cistron.nl
7#
8
9test -c /dev/urandom || exit 0
10. /etc/default/rcS
11
12case "$1" in
13 start|"")
14 test "$VERBOSE" != no && echo "Initializing random number generator..."
15 # Load and then save 512 bytes,
16 # which is the size of the entropy pool
17 if test -f /var/lib/urandom/random-seed
18 then
19 cat /var/lib/urandom/random-seed >/dev/urandom
20 fi
21 rm -f /var/lib/urandom/random-seed
22 umask 077
23 dd if=/dev/urandom of=/var/lib/urandom/random-seed count=1 \
24 >/dev/null 2>&1 || echo "urandom start: failed."
25 umask 022
26 ;;
27 stop)
28 # Carry a random seed from shut-down to start-up;
29 # see documentation in linux/drivers/char/random.c
30 test "$VERBOSE" != no && echo "Saving random seed..."
31 umask 077
32 dd if=/dev/urandom of=/var/lib/urandom/random-seed count=1 \
33 >/dev/null 2>&1 || echo "urandom stop: failed."
34 ;;
35 *)
36 echo "Usage: urandom {start|stop}" >&2
37 exit 1
38 ;;
39esac
40
41exit 0